// Syntax Module Interface Header file
//
// Copyright 2006 (c) RegExLab.com
// Author: ʷΰ (sswater shi)
//

#ifndef _SYNTAX_MOD_INTERFACE_H_
#define _SYNTAX_MOD_INTERFACE_H_

// API
#define SYNTAX_MOD_API __declspec(dllexport)

// extern "C"
#ifdef __cplusplus
	extern "C" {
#endif

// Caption
LPCSTR SYNTAX_MOD_API GetCaption();

// Tooltip ( Optional )
LPCSTR SYNTAX_MOD_API GetTooltip();

// Button Face ( Optional )
HBITMAP SYNTAX_MOD_API GetBtnFace();

// Parse
VOID SYNTAX_MOD_API Parse(LPWSTR text, INT len);

// Nextpos
BOOL SYNTAX_MOD_API GetNextPos(INT & pos, INT & len);

// Color
BOOL SYNTAX_MOD_API GetColor(INT & color);

// Background Color ( Optional )
BOOL SYNTAX_MOD_API GetBgColor(INT & bgcolor);

#ifdef __cplusplus
	}
#endif

#endif//_SYNTAX_MOD_INTERFACE_H_
